Bug 493017 - Many bug messages from xim_proxy_client_protocol_real_xim_forward_event
Many bug messages from xim_proxy_client_protocol_real_xim_forward_event
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 07:10 EDT by Johan Vromans
Modified: 2009-11-24 00:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-24 00:50:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Johan Vromans 2009-03-31 07:10:13 EDT
Description of problem:

Each key press in an X11 window generates some messages:

  [BUG][ 1238497435.679743] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed

Version-Release number of selected component (if applicable):

  Fedora 10 with all updates as of march 30,2009.

How reproducible:

  Always

Steps to Reproduce:
1. Open an xterm window
2. Start typing
3. Watch the X server log

Also works with emacs-x and other libX11 based applications.
Comment 1 Johan Vromans 2009-04-14 16:42:41 EDT
The messages disappear when I start emacs or xterm with

  XMODIFIERS=@im=none

See also https://bugzilla.redhat.com/show_bug.cgi?id=493172
Comment 2 Akira TAGOH 2009-04-16 21:47:25 EDT
already fixed in rawhide fwiw. need to backport it.
Comment 3 Anthony Thyssen 2009-05-24 21:03:22 EDT
I am also having this problem.  Added the above environment variable in the mean time.   However a more permanent fix would be a lot more desirable.

when will it appear in the F10 distribution?
Comment 4 Bug Zapper 2009-11-18 06:39:04 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Akira TAGOH 2009-11-24 00:50:00 EST
As per comment #2, closing.

Note You need to log in before you can comment on or make changes to this bug.